Bug 957251 - Review Request: minivmac - a miniature early Macintosh emulator
Review Request: minivmac - a miniature early Macintosh emulator
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-04-26 14:32 EDT by Przemysław Buczkowski
Modified: 2015-08-21 05:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-21 05:50:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Przemysław Buczkowski 2013-04-26 14:32:44 EDT
Spec URL: http://199.15.251.183/fedora/minivmac/minivmac.spec
SRPM URL: http://199.15.251.183/fedora/minivmac/minivmac-3.2.3-1.fc18.src.rpm
Description:
Mini vMac is a miniature 68k architecture emulator.
Packaged version emulates Macintosh Plus.

Project website: http://minivmac.sourceforge.net
Fedora Account System Username: przemub

Hello. This is my first package sent to Fedora, then I need a benevolent soul that will indicate me my faults :). I've sent SRPM to koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5305422.
Comment 1 Adam Williamson 2013-05-02 18:03:32 EDT
"# Mini vMac source tarball is generated for each supported architecture
# by enviromnent that runs inside the emulator.
# More info: http://minivmac.sourceforge.net/doc/build.html"

I'm not sure that's compliant with the Fedora guidelines. It certainly seems like a chicken/egg problem. You need the source tarball to build the emulator to output the source tarball to build the emulator to...:)

Is there some reason upstream can't just provide a directly buildable source tarball? It seems a weird way to do things.
Comment 2 Adam Williamson 2013-05-02 18:07:20 EDT
The issue with requiring a proprietary firmware to do anything useful may possibly be problematic too. I'm gonna set "Blocks: FE-Legal" to let the legal eagles have a look at this.
Comment 3 Dominik 'Rathann' Mierzejewski 2013-12-03 07:15:21 EST
Per http://minivmac.sourceforge.net/doc/about.html, this requires the original ROM image to run, so it's not acceptable in Fedora. Please move the review request to RPMFusion and close this one.
Comment 4 Miroslav Suchý 2015-08-21 05:50:42 EDT
Closing per #3.

Note You need to log in before you can comment on or make changes to this bug.